Gracias Gracias:  0
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Mostrando resultados del 1 al 6 de 6

Tema: actualizar firefox sin YAST

  1. #1
    Fecha de Ingreso
    21-abril-2007
    Ubicación
    Medellín, Colombia
    Mensajes
    1.193
    Post Thanks / Like
    Poder de Credibilidad
    14

    actualizar firefox sin YAST

    Me cansé de buscar...

    Pues voy de perlas con SuSE 10.2, pero algo me pareció raro...
    Con Firefox en Guindus había una opción de Buscar actualizaciones. Firefox se conectaba y actualizaba la versión. Además, se podía programar para hacerlo automáticamente...
    El Firefox que instala OpenSuSe 10.2 (DVD) es 2.0. Pero ya vamos en la 2.0.0.3, y decidi actualizarlo:
    Clic en Ayuda -> Buscar act....
    ¿¿¿No está???

    ¿no hay ninguna opcion para actualizarlo?

    Ah , debe estar por opciones...

    Editar -> Preferencias -> Avanzado -> Actualizar...
    ¿¿¿Tampoco???

    ¿No hay nada que diga "Actualizar Firefox"?

    Si, ya se que por YAST, añado el repositorio, y todo esto... pero con un acceso conmutado, me pone a pensar el descargar 21 MB con una familia de 6 personas y todos queriendo hablar por telefono todo el dia...

    Lo que extraño del Guindus es que Firefox descargaba lo que necesitaba, y se actualizaba, y solo era reiniciarlo... ¿no se puede hacer con SuSE???

  2. #2
    Fecha de Ingreso
    19-octubre-2006
    Mensajes
    517
    Post Thanks / Like
    Poder de Credibilidad
    13
    Firefox solo actualiza las extensiones en Linux (Por lo menos mi experiencia me dice eso). Para actualizarlo te descargas la ultima versión y la descomprimes en el sitio que tu quieras. Ejecutas un script llamado firefox (en consola escribiendo ./firefox y en entorno gráfico haciendo doble click) y ya está, actualizado.

  3. #3
    Fecha de Ingreso
    10-abril-2005
    Ubicación
    Mallorca
    Mensajes
    1.238
    Post Thanks / Like
    Poder de Credibilidad
    16
    Firefox 2.0 (paquete precompilado para SuSE) se puede actualizar con YaST/Smart, si bien para ello has de incluir el repositorio mozilla en tu YaST/Smart. No lo estás pudiendo actualizar porque no tienes el repositorio del mismo.

    Para instalar el firefox (tar.gz) bajado de mozilla.org y 'anular' (que no quitar) el precompliado para la distro, basta con descomprimirlo y substituir la ruta del comando 'firefox' en /usr/bin. Firefox a diferencia de seamonkey no lleva instalador.

    El primero (precompilado para SuSE) no permite la actualización automática como en windows de ninguna manera (ni siquiera sale esa opción). En el segundo sale esa opción, pero anulada o inservible. Obviamente ello es porque se instala firefox en un directorio de root y se usa desde un directorio (con perfil) de usuario. Por tanto desde el perfil del 'root' se podría usar la actualización automática, pero hacerlo así es una bobería, resulta más fácil y seguro actualizar borrando el anterior e instalando el nuevo.
    Código:
    su
    cd /opt
    rm -r firefox
    Código:
    cd /home/usuario/descargas
    tar xzvf firefox-2.0.0.3.tar.gz -C /opt
    Código:
    cd /usr/bin
    rm firefox
    cd /opt/firefox/
    ln -s firefox /usr/bin
    Hay muchos hilos explicando el cómo hacerlo en uno y otro caso, se trata de buscar un poco en el foro.

    Nota: Si instalas el firefox de mozilla.org (por lo natural en /opt) deberás usar el comando ln -s para hacer los enlaces de los plugins.
    No soy profesional de la informática. Coge mis opiniones con precaución y mis preguntas con comprensión

  4. #4
    Fecha de Ingreso
    21-abril-2007
    Ubicación
    Medellín, Colombia
    Mensajes
    1.193
    Post Thanks / Like
    Poder de Credibilidad
    14
    cd /usr/bin
    rm firefox
    cd /opt/firefox/
    ln -s firefox /usr/bin
    ¿No se me irían con esto las extensiones?

    ¿Y si lo instalo con YAST es necesario todo esto? Por ahi en lo que he leido en los foros, pareciera que no. ¿YAST conserva las extensiones?

  5. #5
    Fecha de Ingreso
    10-abril-2005
    Ubicación
    Mallorca
    Mensajes
    1.238
    Post Thanks / Like
    Poder de Credibilidad
    16
    Cita Iniciado por eduararley
    ¿No se me irían con esto las extensiones?
    NO. Las extensiones se guardan en el perfil, no en el directorio del programa. Otra cosa es que las extensiones que tengas no sean compatibles con la nueva versión (aunque ahora mismo casi todas las que servían para 2.0 ya están actualizadas para la 2.0.0.3)
    Cita Iniciado por eduararley
    ¿Y si lo instalo con YAST es necesario todo esto? Por ahi en lo que he leido en los foros, pareciera que no. ¿YAST conserva las extensiones?
    Efectivamente, no es necesario. Pues YasT se encarga de quitar la nueva versión, poner la nueva, y actualizar los enlaces simbólicos, pero -repito- nada tiene que ver con las extensiones.

    Dirección del repositorio de SuSE 10.2 para mozilla

    Consejo: 1.- Actualiza con YaST o Smart.
    2.- Prueba con Swiftfox (hay instrucciones en el foro de cómo instalarlo y ponerlo en español.
    No soy profesional de la informática. Coge mis opiniones con precaución y mis preguntas con comprensión

  6. #6
    Fecha de Ingreso
    21-abril-2007
    Ubicación
    Medellín, Colombia
    Mensajes
    1.193
    Post Thanks / Like
    Poder de Credibilidad
    14
    Mejor lo hago por YAST. Parece más sencillo.

    Tambien vale la pena instalar Swiftfox, aunque no he notado problemas serios de velocidad en Firefox. Ese lo intento mas tarde.

    Mil gracias

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Actualizar el kernel desde Yast
    By danielperaza in forum Software
    Respuestas: 1
    Último mensaje: 21-oct-2006, 18:47
  2. Problema con Yast despues de actualizar
    By sipuedo in forum Software
    Respuestas: 5
    Último mensaje: 10-ago-2006, 00:10
  3. Respuestas: 0
    Último mensaje: 12-dic-2005, 14:57
  4. Respuestas: 1
    Último mensaje: 20-abr-2005, 15:22
  5. Actualizar Firefox.
    By isicapi in forum Software
    Respuestas: 9
    Último mensaje: 14-nov-2004, 15:09

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •